summaryrefslogtreecommitdiff
path: root/tests/chmod/no-x
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chmod/no-x')
-rwxr-xr-xtests/chmod/no-x9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/chmod/no-x b/tests/chmod/no-x
index fbbb4890d..bdaeb732a 100755
--- a/tests/chmod/no-x
+++ b/tests/chmod/no-x
@@ -53,4 +53,13 @@ fi
test $fail = 1 && diff out exp 2> /dev/null
+mkdir -p a/b
+cd a
+# This will fail with ``chmod: fts_read failed: Permission denied''
+chmod a-x . b 2> /dev/null && fail=1
+# chmod must exit with status 1.
+# Due to a bug in coreutils-5.93's fts.c, chmod would provoke
+# an abort (exit with status 134) on recent glibc-based systems.
+test $? = 1 || fail=1
+
(exit $fail); exit $fail